﻿@model IEnumerable<EnergyMission.Domain.Entities.PersonEntity>


@Html.Raw(File.ReadAllText(Server.MapPath("~/Views/Shared/_GridViewCommon.txt")))
@{
    EnergyMission.Domain.Entities.PersonEntity person = new PersonEntity();
}
@section Scripts{
    <script>


        $(document).ready(function () {
           
            $("#cvs").text('');
            $("#EmployeeID").val('');
            $("#Password").val('');
            $("#viewperson").hide();
            var value = "@ViewBag.msg";

            if (value == "") {

                $("#errorssms").hide();

            }
            else {
                $("#errorssms").show();

            }


            $('INPUT[type="file"]').change(function () {
                var ext = this.value.match(/\.(.+)$/)[1];
                switch (ext) {

                    case 'pdf': return true;
                    case 'doc': return true;
                    case 'docx': return true;
                    default:
                        alert('This is not an allowed file type.');
                        this.value = '';
                }
            });

        });
       
        function cancelall() {

            $("#Id").val("");
            $("#FirstName").val("");
            $("#LastName").val("");
            $("#EmailAddress").val("");
            $("#EmployeeID").val("");
            $("#cvs").text("");
            $("#errorssms").hide();
            $("#viewperson").hide();
            $("#EmailAddress").prop("disabled", false);
            return false;
        }

        var selectedKeys = "";

        function aspxSEClick(selectedValues) {
            debugger
            $("#errorssms").hide();
            var value = selectedValues;

            $.ajax({
                type: "Get",
                url: "/persons/Edits",
                data: { "Id": value },
                dataType: 'json',
                contentType: "application/json;charset=utf-8",
                success: function (data) {

                    //value = JSON.stringify(data);
                    $("#viewperson").show();
                    //alert(value);
                    $("#Id").val(data.result[0].id);
                    $("#FirstName").val(data.result[0].firstname);
                    $("#LastName").val(data.result[0].lastname);
                    $("#EmailAddress").val(data.result[0].email);
                    $("#EmailAddress").prop("disabled", false);
                    $("#EmployeeID").val(data.result[0].empid);
                    $("#cvs").text(data.result[0].cvurl);
                    //$("#btnsave").val("Edit");
                    //$("#sorganization").html(data.result.name);
                    //$("#snoe").html(data.result.noe);
                    //$("#sclinetid").html(data.result.clientAdmin);
                    //$("#ClientAdmin").val(data.result.clientAdmin);
                    //$("#Address").val(data.result.address);
                    //$("#saddress").html(data.result.address);
                    //$("#City").val(data.result.city);
                    //$("#StateId").val(data.result.stateId);
                    //$("#postCodeId").val(data.result.postCodeId);
                    //$("#spostcode").html(data.result.city + "," + $("#StateId").text() + "," + $("#postCodeId").text());
                    //$("#Geo_location_Latitude").val(data.result.geo_location_Latitude);
                    //$("#Geo_location_Longditude").val(data.result.geo_location_Longditude);
                    //$("#sgeolocation").html(data.result.geo_location_Latitude);
                    //$("#sgeolocation1").html(data.result.geo_location_Longditude);
                    $('#btedit').attr('disabled', false);
                    $('#btnnew').attr('disabled', true);
                    return false;
                },


                error: function (textStatus, errorThrown) {

                    alert(textStatus);
                }
            });

            //for (var i in selectedValues) {
            //    selectedKeys = selectedKeys + selectedValues[i] + ";";
            //}

            //gvRequestsList.PerformCallback();
        }

        function Addperson()
        {
            $("#viewperson").show();
            $("#errorssms").hide();
            $('#btedit').attr('disabled', true);
            $('#btnnew').attr('disabled', false);
            $("#EmailAddress").prop("disabled", false);
        }
    </script>
}
<div class="second-menu">
    <h3>Persons</h3>
    @*<ul class="org-inner-menu">
        <li><a href="#">Contact Site Manager</a></li>
        <li><a href="#">Help</a></li>
        <li><a href="#">Report Error</a></li>
        <li><a href="#">Report Error</a></li>
    </ul>*@
</div>

<div class="examples">
    <div id="testDivNested">
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
            <!-- Start White Inner -->
            <div class="white_inner Persons">

                <div class="client-admin-login">
                    @Html.Action("GridViewPartial")

                    <a href="javascript:Addperson()" id="Addperson" class="add_new">Add New</a>


                </div>
                @*<a href="Javascript:visible();" id="Addclient" class="add_new">Add New Client</a>

            <*@

            </div>
            <div class="bottom people" id="viewperson">


                @Html.Partial("_AddEditPartial", person)


            </div>
                    @*<div class="top_name">
                            <ul>
                                <li>Countries</li>
                            </ul>
                        </div>
                        <div id="testDiv1">
                            <div class="inner">
                                <div class="row_client">
                                    <span class="black">Australia</span>
                                    <span class="edit"><a href="#">Edit</a></span>
                                    <span class="delete"><a href="#">Delete</a></span>
                                </div>
                            </div>
                        </div>*@
                </div>
                <!-- End Countries -->

            </div>
            <!-- End White Inner -->
            <!-- Start Bottom Details -->
         	
        </div>
        <!-- End Bottom Details -->
  



